import numpy as np
import cv2
import random

binary = cv2.imread("../slovakia-opened.png",cv2.IMREAD_GRAYSCALE)

cv2.imshow("contoures",binary)
key = cv2.waitKey(0)

contours, hierarchy = cv2.findContours(binary, cv2.RETR_TREE, cv2.CHAIN_APPROX_SIMPLE)

image = np.zeros(binary.shape+(3,),np.uint8)
for i in range(len(contours)):
    color = (random.randint(0,255),random.randint(0,255),random.randint(0,255))
    cv2.drawContours(image,contours,i,color,cv2.FILLED)
    #rect = cv2.boundingRect(contours[i])
    #cv2.rectangle(image,rect,color,1)

cv2.imshow("contoures",image)
key = cv2.waitKey(0)

cv2.destroyAllWindows()
